<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>JvmApiSpec (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="JvmApiSpec (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/jvm/JarBinarySpec.TasksCollection.html" title="interface in org.gradle.jvm"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/jvm/JvmBinarySpec.html" title="interface in org.gradle.jvm"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/jvm/JvmApiSpec.html" target="_top">Frames</a></li>
<li><a href="JvmApiSpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.jvm</div>
<h2 title="Interface JvmApiSpec" class="title">Interface JvmApiSpec</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">JvmApiSpec</span></pre>
<div class="block">Specifies the packages that constitute the API of a library. Facilitates separation of
 API and implementation binaries for that library. Backing object for the
 <code>api {}</code> DSL.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.10</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/jvm/JvmApiSpec.html#dependencies(groovy.lang.Closure)">dependencies</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&lt;?&gt;&nbsp;configureAction)</code>
<div class="block">Specify the dependencies of this API.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/jvm/JvmApiSpec.html#exports(java.lang.String)">exports</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;packageName)</code>
<div class="block">Specify a package to be exported as part of the library API.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/platform/base/DependencySpecContainer.html" title="interface in org.gradle.platform.base">DependencySpecContainer</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/jvm/JvmApiSpec.html#getDependencies()">getDependencies</a></strong>()</code>
<div class="block">The dependencies of this API.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/jvm/JvmApiSpec.html#getExports()">getExports</a></strong>()</code>
<div class="block">The set of packages that comprise this library's public API.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="exports(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exports</h4>
<pre>void&nbsp;exports(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;packageName)</pre>
<div class="block">Specify a package to be exported as part of the library API.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>packageName</code> - the name of the package to be exported, e.g. "com.example.p1"</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../org/gradle/api/InvalidUserDataException.html" title="class in org.gradle.api">InvalidUserDataException</a></code> - if the package name is not valid or has already been exported</dd></dl>
</li>
</ul>
<a name="getExports()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExports</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getExports()</pre>
<div class="block">The set of packages that comprise this library's public API.</div>
</li>
</ul>
<a name="dependencies(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dependencies</h4>
<pre>void&nbsp;dependencies(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&lt;?&gt;&nbsp;configureAction)</pre>
<div class="block">Specify the dependencies of this API.</div>
</li>
</ul>
<a name="getDependencies()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getDependencies</h4>
<pre><a href="../../../org/gradle/platform/base/DependencySpecContainer.html" title="interface in org.gradle.platform.base">DependencySpecContainer</a>&nbsp;getDependencies()</pre>
<div class="block">The dependencies of this API.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/jvm/JarBinarySpec.TasksCollection.html" title="interface in org.gradle.jvm"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/jvm/JvmBinarySpec.html" title="interface in org.gradle.jvm"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/jvm/JvmApiSpec.html" target="_top">Frames</a></li>
<li><a href="JvmApiSpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
